#!/bin/bash
export ORIG_HOME=$(grep ^${USER}: /etc/passwd |cut -d : -f 6)
PATH=$PATH:$ORIG_HOME/.local/bin

if echo "${DRONE_REPO_NAME}" | grep -q '-'; then
    SUBMITTER_NAME=$(echo "${DRONE_REPO_NAME}" | cut -d'-' -f1);
else
    SUBMITTER_NAME=${DRONE_REPO_NAME};
fi

mkdir repos

echo 'CANVAS_ACCESS_TOKEN=""' > .env
echo 'CANVAS_COURSE_ID=0' >> .env
echo 'GITEA_ACCESS_TOKEN=$GITEA_ACCESS_TOKEN' >> .env
echo 'GITEA_ORG_NAME=$GITEA_ORG_NAME' >> .env
echo 'MATTERMOST_TEAM=""' >> .env
echo 'MATTERMOST_ACCESS_TOKEN=""' >> .env
echo 'MATTERMOST_TEACHING_TEAM=[]' >> .env

joint-teapot JOJ3-scoreboard "score.json" $SUBMITTER_NAME "" "JOJ3-examples" "JOJ3_dev.csv"
cat joint-teapot.log
